module PublisherRenoteDac

  class Configuration
    attr_accessor :username, :password, :heartbeat, :exchange, :exchange_type, :vhost, :rabbitmq_queue, :base_controller, :prod_base_url, :dev_base_url

    def initialize
      @username = nil
      @password = nil
      @heartbeat = 2
      @exchange = 'sneakers'
      @exchange_type = :direct
      @vhost = '/'
      @rabbitmq_queue = nil
      @base_controller = '::ApplicationController'
      @prod_base_url = nil
      @dev_base_url = nil
    end
  end
end