module PublisherRenoteDac

  class Publisher
    def self.publish(exchange, message = {})
      x = channel.fanout(exchange)
      x.publish(message.to_json)
    end

    def self.channel
      @channel ||= connection.create_channel
    end

    def self.connection
      @connection ||= Bunny.new(ENV['RABBITMQ_BIGWIG_TX_URL']).tap do |c|
        c.start
      end
    end

    private

    # def conn_params
    #   if Rails.env.production?
    #     ENV['RABBITMQ_BIGWIG_TX_URL']
    #   else
    #     {
    #       :vhost => PublisherRenoteDac.configuration.vhost,
    #       :user => PublisherRenoteDac.configuration.username,
    #       :password => PublisherRenoteDac.configuration.password
    #     }
    #   end
    # end
  end
end